> ## Documentation Index
> Fetch the complete documentation index at: https://api.lensmor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List event personnel



## OpenAPI

````yaml /openapi.json get /external/personnel/list
openapi: 3.1.0
info:
  title: Lensmor API
  version: 0.22.0
  description: >-
    Lensmor Event Intelligence API for event discovery, exhibitor research,
    personnel lookup, credits, and profile matching.
servers:
  - url: https://platform.lensmor.com
security:
  - bearerAuth: []
tags:
  - name: Credits
  - name: Actions
  - name: Events
  - name: Exhibitors
  - name: Personnel
  - name: Contacts
  - name: Profile Matching
paths:
  /external/personnel/list:
    get:
      tags:
        - Personnel
      summary: List event personnel
      operationId: listPersonnel
      parameters:
        - $ref: '#/components/parameters/EventIdQuery'
        - $ref: '#/components/parameters/Page'
        - name: pageSize
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 50
        - name: exhibitor_id
          in: query
          schema:
            type: string
        - name: department
          in: query
          schema:
            type: string
            maxLength: 100
        - name: level
          in: query
          schema:
            type: string
            maxLength: 50
        - name: search_query
          in: query
          schema:
            type: string
            maxLength: 200
      responses:
        '200':
          description: Paginated contacts with access semantics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactPageWithSemantics'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    EventIdQuery:
      name: event_id
      in: query
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 100
    Page:
      name: page
      in: query
      schema:
        type: integer
        minimum: 1
        default: 1
  schemas:
    ContactPageWithSemantics:
      allOf:
        - $ref: '#/components/schemas/ContactPage'
        - type: object
          properties:
            semantics:
              $ref: '#/components/schemas/AccessSemantics'
    ContactPage:
      type: object
      required:
        - items
        - total
        - page
        - pageSize
        - totalPages
        - hasMore
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ContactItem'
        total:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
        totalPages:
          type: integer
        hasMore:
          type: boolean
    AccessSemantics:
      type: object
      properties:
        accessMode:
          type: string
          enum:
            - preview
            - full
        previewLimit:
          type:
            - integer
            - 'null'
        counts:
          type: object
          properties:
            actualTotal:
              type: integer
            visibleTotal:
              type: integer
            remainingLockedCount:
              type: integer
          additionalProperties: true
        pageState:
          type: object
          properties:
            requestedPage:
              type: integer
            accessible:
              type: boolean
            maxAccessiblePage:
              type: integer
          additionalProperties: true
        unlock:
          type: object
          properties:
            requiredForMoreResults:
              type: boolean
            actionType:
              type:
                - string
                - 'null'
            credits:
              type:
                - integer
                - 'null'
          additionalProperties: true
        guidance:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          additionalProperties: true
      additionalProperties: true
    ApiError:
      type: object
      required:
        - code
        - message
        - errorKey
        - traceId
      properties:
        code:
          type: integer
        message:
          type: string
        errorKey:
          type: string
        traceId:
          type: string
    ContactItem:
      type: object
      required:
        - id
        - fullName
        - contactUnlockStatus
      properties:
        id:
          type: string
        fullName:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        department:
          type:
            - string
            - 'null'
        seniorityLevel:
          type:
            - string
            - 'null'
        linkedinUrl:
          type:
            - string
            - 'null'
        companyName:
          type:
            - string
            - 'null'
        sourceType:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        contactUnlockStatus:
          type: string
        linkedinActivity:
          type:
            - object
            - 'null'
          properties:
            activityLevel:
              type: string
            isActive:
              type: boolean
            latestPostAt:
              type:
                - string
                - 'null'
        linkedinActivityStatus:
          type:
            - string
            - 'null'
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: User API key

````